#include <bits/stdc++.h>
using namespace std;

int main(){
ios::sync_with_stdio(false); cin.tie(0); cout.tie(0);
int t; cin >> t; 
while ( t-- ){
    int n, m; cin >> n >> m;
    long long l[n], u[m];
    for ( int i = 0; i < n; i++ ){
        cin >> l[i];
    }
    for ( int i = 0; i < m; i++ ){
        cin >> u[i];
    }
    cout << "NE";
}
return 0;
}